<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">argos::CCrazyflieEntity Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ad685b34fa259509f3c2ade5627cf11b5">CCrazyflieEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ac5c53a98b09de41484b06b85b53efa59">CCrazyflieEntity</a>(const std::string &amp;str_id, const std::string &amp;str_controller_id, const CVector3 &amp;c_position=CVector3(), const CQuaternion &amp;c_orientation=CQuaternion(), Real f_rab_range=3.0f, size_t un_rab_data_size=10, const CRadians &amp;c_perspcam_aperture=ToRadians(CDegrees(33.75f)), Real f_perspcam_focal_length=0.035f, Real f_perspcam_range=3.0f)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ae2c4f634d5f21ee5c91a1d012881c7c6">ENABLE_VTABLE</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a64d0cbb9eea18760a5fb3e8019dff525">GetBatterySensorEquippedEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a89f5e130191e0e4e0da1cb413076ea90">GetControllableEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#af4b536c4d5dea7a202bf118d7b883bcc">GetEmbodiedEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a0239815ca879091c815e50f0e80ed3e1">GetLEDEquippedEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a51037207c588b3d1f8e6ad0bae455879">GetQuadRotorEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a353730d2d7b2e781d75ae7a363af32ed">GetRABEquippedEntity</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ae057c8c3ea8dd10819929c68dcbff7cd">GetTypeDescription</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a90dc7f29beaa3cff58aa1b4ef35f6bb8">Init</a>(TConfigurationNode &amp;t_tree)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#aab96e45ee98984caaf1d117a14078961">Reset</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a8ab007a8e365146bab417abac2597990">UpdateComponents</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
